<?php
// -------------------------------------------
// kirby snippet FOR jannikbeyerstedt.de

// copyright: Jannik Beyerstedt | https://jannikbeyerstedt.de
// license: http://www.gnu.org/licenses/gpl-3.0.txt GPLv3 License
// -------------------------------------------

$subnav = false;
if ($page->depth() == 1) {
  $baseSec = $page;
  if ( $page->isListed() && $baseSec->hasListedChildren() && $page->template() != 'blog' ) {
    $subnav = true;
  }
}else if ($page->depth() == 2) {
  $baseSec = $page->parent();
  if ( $page->isListed() && $baseSec->hasListedChildren() && $page->template() != 'blogarticle' ) {
    $subnav = true;
  }
}
?>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label class="d-sm-none" for="nav-trigger">Menü</label>

<nav class="mobile">
  <ul class="nav mobileNav">
    <li><a href="<?php echo $site->url()?>">Home</a></li>
  <?php foreach ($site->children()->listed() as $p) : ?>
    <li><a href="<?php echo $p->url()?>" <?php echo ($page == $p)?'class="active"':'' ?>><?php echo $p->title() ?></a></li>
    <?php if ($p->hasListedChildren() && $p->template() != 'blog') : ?>
    <ul class="">
    <?php foreach ($p->children()->listed() as $c) : ?>
      <li><a href="<?php echo $c->url()?>" <?php echo ($page == $c)?'class="active"':'' ?>><?php echo $c->title() ?></a></li>
    <?php endforeach; ?>
    </ul>
    <?php endif; ?>
  <?php endforeach; ?>
  </ul>
</nav>


<div class="site-wrap">
<header class="section">
  <div class="container">
    <?php if ($img = $site->title_image()->toFile()) : ?>
    <a class="logo" href="<?php echo url() ?>">
      <img src="<?php echo $img->url() ?>" alt="Logo">
    </a>
    <?php endif; ?>

    <nav aria-hidden="true">
      <ul class="nav d-none d-sm-block">
<?php if(!$subnav) : ?>
      <?php foreach ($site->children()->listed() as $p) : ?>
        <a href="<?php echo $p->url()?>" <?php echo ($page == $p || $page->parent() == $p)?'class="active"':'' ?>><li><?php echo $p->title() ?></li></a>
      <?php endforeach; ?>
<?php else : ?>
        <a href="<?php echo $baseSec->url()?>" class="section <?php echo ($page == $baseSec)?'active':'' ?>"><li><?php echo $baseSec->title() ?>:</li></a>
      <?php foreach ($baseSec->children()->listed() as $p) : ?>
        <a href="<?php echo $p->url()?>" <?php echo ($page == $p)?'class="active"':'' ?>><li><?php echo $p->title() ?></li></a>
      <?php endforeach; ?>
<?php endif; ?>
      </ul>
    </nav>
  </div>
</header>
