<?php
// -------------------------------------------
// kirby snippet FOR jannikbeyerstedt.de

// copyright: Jannik Beyerstedt | https://jannikbeyerstedt.de
// license: http://www.gnu.org/licenses/gpl-3.0.txt GPLv3 License
// -------------------------------------------
if( $page->isHomePage() ) {
  $title = $site->title()->html();
}else if ($page->depth() == 2) {
  $title = $page->parent()->title()->html().': '.$page->title()->html();
}else {
  $title = $page->title()->html().' | '.$site->title()->html();
}
?>
<!DOCTYPE html>
<html lang="de">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width,initial-scale=1.0">
  <title><?php echo $title ?> </title>
  <meta name="description" content="<?php echo $site->description()->html() ?>">
  <meta name="keywords" content="<?php echo $page->tags()->html() ?>">
  <meta name="author" content="<?php echo $site->author()->html() ?>" >
<?php if ($page->meta_robots()->html() != "") : ?>
  <meta name="robots" content="<?php echo $page->meta_robots()->html() ?>">
<?php endif; ?>

  <link rel="alternate" type="application/rss+xml" title="Janniks Blog" href="<?= site()->url() ?>?rss"/>

  <?php echo css('assets/css/foundation.css?v1.1') ?>

  <?php echo css('assets/css/main.css?v1.1') ?>

  <?php echo css('assets/css/blog.css') ?>

  <link rel="apple-touch-icon" sizes="180x180" href="<?php echo url('/assets/favicons/apple-touch-icon-180x180.png')?>">
  <link rel="mask-icon" href="<?php echo url('/assets/favicons/safari-pinned-tab.svg')?>" color="#5bbad5">
  <link rel="icon" type="image/png" href="<?php echo url('/assets/favicons/favicon-32x32.png')?>" sizes="32x32">
  <link rel="icon" type="image/png" href="<?php echo url('/assets/favicons/favicon-194x194.png')?>" sizes="194x194">
  <link rel="icon" type="image/png" href="<?php echo url('/assets/favicons/favicon-96x96.png')?>" sizes="96x96">
  <link rel="icon" type="image/png" href="<?php echo url('/assets/favicons/android-chrome-192x192.png')?>" sizes="192x192">
  <link rel="icon" type="image/png" href="<?php echo url('/assets/favicons/favicon-16x16.png')?>" sizes="16x16">
  <link rel="manifest" href="<?php echo url('/assets/favicons/manifest.json')?>">
  <link rel="icon" type="image/x-icon" href="<?php echo url('/assets/favicons/favicon.ico')?>">
  <meta name="msapplication-TileColor" content="#da532c">
  <meta name="msapplication-TileImage" content="<?php echo url('/assets/favicons/mstile-144x144.png')?>">
  <meta name="msapplication-config" content="<?php echo url('/assets/favicons/browserconfig.xml')?>">
  <meta name="theme-color" content="#ffffff">

</head>
<body>
